<?php
/* 
	Nagios-Cacti Unified Reporting Dashboard (NURD)
	
	Copyright 2010 Nicholas Watts <nwatts4@une.edu.au>
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your option) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
	MA 02110-1301, USA.
*/
$cacti_rootdir = "../..";
include_once($cacti_rootdir."/include/global.php");
include_once($cacti_rootdir."/include/config.php");
include_once($cacti_rootdir."/lib/database.php");
include_once($cacti_rootdir."/lib/html_validate.php");
include_once($cacti_rootdir."/lib/rrd.php");

$graph_data_array = array();

if (!empty($_GET["graph_start"]) && $_GET["graph_start"] < 1600000000) {
	$graph_start = $_GET["graph_start"];
}

/* override: graph end time (unix time) */
if (!empty($_GET["graph_end"]) && $_GET["graph_end"] < 1600000000) {
	$graph_end = $_GET["graph_end"];
}

$host_id = $_GET['host_id'];
input_validate_input_number($host_id);

$sql = "SELECT id FROM graph_local WHERE host_id=".$host_id.";";
$graph_ids = db_fetch_assoc($sql);

$sql = "SELECT description FROM host WHERE id=".$host_id.";";
$hostname = db_fetch_cell($sql, "description");

foreach ($graph_ids as $id) {
	foreach ($id as $graph) {
		echo "<img class=\"cacti_image\" src=\"".$cacti_rootdir."/graph_image.php?local_graph_id=".$graph."&graph_start=".$graph_start."&graph_end=".$graph_end."\" /><br />\n";
	}
}

?>
